| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ChannelInterfaceMediaSignallingInterface Class Reference
Channel proxies

`#include <TelepathyQt/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply
  < Tp::MediaSessionHandlerInfoList > GetSessionHandlers (int timeout=-1)

## Signals

- void NewSessionHandler (const QDBusObjectPath &sessionHandler, const QString &sessionType)

## Public Member Functions

- ChannelInterfaceMediaSignallingInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceMediaSignallingInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceMediaSignallingInterface (Tp::DBusProxy *proxy)
- ChannelInterfaceMediaSignallingInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelInterfaceMediaSignallingInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.MediaSignalling".

## Constructor & Destructor Documentation

Tp::Client::ChannelInterfaceMediaSignallingInterface::ChannelInterfaceMediaSignallingInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceMediaSignallingInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfaceMediaSignallingInterface::ChannelInterfaceMediaSignallingInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceMediaSignallingInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfaceMediaSignallingInterface::ChannelInterfaceMediaSignallingInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfaceMediaSignallingInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ChannelInterfaceMediaSignallingInterface::ChannelInterfaceMediaSignallingInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelInterfaceMediaSignallingInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ChannelInterfaceMediaSignallingInterface::ChannelInterfaceMediaSignallingInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelInterfaceMediaSignallingInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ChannelInterfaceMediaSignallingInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.MediaSignalling", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::ChannelInterfaceMediaSignallingInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<Tp::MediaSessionHandlerInfoList> Tp::Client::ChannelInterfaceMediaSignallingInterface::GetSessionHandlers | ( | int | timeout = `-1` | ) | `[inline, slot]`

Begins a call to the D-Bus method `GetSessionHandlers` on the remote object.

Returns all currently active session handlers on this channel as a list of (session_handler_path, type).

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

void Tp::Client::ChannelInterfaceMediaSignallingInterface::NewSessionHandler | ( | const QDBusObjectPath & | sessionHandler,
|  | const QString & | sessionType
| ) |  | `[signal]`

Represents the signal `NewSessionHandler` on the remote object.

Signal that a session handler object has been created. The client should create a session object and create streams for the streams within.

Parameters:

  sessionHandler | Object path of the new Media.SessionHandler object
  sessionType | String indicating type of session, eg "rtp"

void Tp::Client::ChannelInterfaceMediaSignallingInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.